package com.yihu.quota.model.view;


import com.yihu.ehr.entity.BaseAssignedEntity;
import com.yihu.ehr.entity.BaseIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 *
 * @author janseny
 * @date 2018年9月26日
 */
@Entity
@Table(name = "olap_view")
public class View extends BaseAssignedEntity {

    public String code; // 视图编码
    public String name; // 视图名称
    public String dimensionDataset; // 多维数据集，ES 的 index/type，拼接成："index1[,index2...]/type1[,type2...]"
    public String displayType; //  展示类型，1：数值，2：普通表格，3：树形表格，4：饼图，5：折线图，6：柱状图，7：组合图（折线图+柱状图），8：雷达图，9：旭日图。
    public String treeDataType; // 树形数据类型，org_type_tree：机构类型树形数据。
    public String isDrill; // 可钻取，1：可以，2：不可以。
    public String remark; // 备注

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "dimension_dataset")
    public String getDimensionDataset() {
        return dimensionDataset;
    }

    public void setDimensionDataset(String dimensionDataset) {
        this.dimensionDataset = dimensionDataset;
    }

    @Column(name = "display_type")
    public String getDisplayType() {
        return displayType;
    }

    public void setDisplayType(String displayType) {
        this.displayType = displayType;
    }

    @Column(name = "tree_data_type")
    public String getTreeDataType() {
        return treeDataType;
    }

    public void setTreeDataType(String treeDataType) {
        this.treeDataType = treeDataType;
    }

    @Column(name = "is_drill")
    public String getIsDrill() {
        return isDrill;
    }

    public void setIsDrill(String isDrill) {
        this.isDrill = isDrill;
    }

    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
